# Method: datasetVersions.patch

**Full name**: projects.locations.datasets.datasetVersions.patch

Updates a DatasetVersion.

### Endpoint

patch `https://{service-endpoint}/v1beta1/{datasetVersion.name}`   
`PATCH https://{service-endpoint}/v1beta1/{datasetVersion.name}`

Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`datasetVersion.name` `string` Output only. Identifier. The resource name of the DatasetVersion. Format: `projects/{project}/locations/{location}/datasets/{dataset}/datasetVersions/{datasetVersion}`

### Query parameters

`updateMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. The update mask applies to the resource. For the `FieldMask` definition, see `https://protobuf.dev/reference/protobuf/google.protobuf#field-mask`. Updatable fields:

- `displayName`

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.datasets.datasetVersions#DatasetVersion`.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1beta1/projects.locations.datasets.datasetVersions#DatasetVersion`.